Package org.firebirdsql.jdbc

## Class SQLStateConstants

- java.lang.Object
- - org.firebirdsql.jdbc.SQLStateConstants

    public final class SQLStateConstants
    extends java.lang.Object

Constants with common SQLState values.

Since:
  3.0
Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `SQL_STATE_COMM_LINK_FAILURE` Deprecated. will be removed in Jaybird 6 without replacement
`static java.lang.String` `SQL_STATE_CONNECTION_CLOSED`
`static java.lang.String` `SQL_STATE_CONNECTION_ERROR`
`static java.lang.String` `SQL_STATE_CONNECTION_FAILURE`
`static java.lang.String` `SQL_STATE_CONNECTION_FAILURE_IN_TX` Deprecated. will be removed in Jaybird 6 without replacement
`static java.lang.String` `SQL_STATE_FEATURE_NOT_SUPPORTED`
`static java.lang.String` `SQL_STATE_GENERAL_ERROR`
`static java.lang.String` `SQL_STATE_INVALID_ARG_VALUE` Deprecated. will be removed in Jaybird 6 and replaced by `SQL_STATE_INVALID_USE_NULL`, `SQL_STATE_ATT_CANNOT_SET_NOW`, `SQL_STATE_INVALID_ATTR_VALUE` and `SQL_STATE_INVALID_STRING_LENGTH`, which will all be introduced in Jaybird 6
`static java.lang.String` `SQL_STATE_INVALID_COLUMN` Deprecated. will be removed in Jaybird 6 and replaced by `SQL_STATE_INVALID_DESC_FIELD_ID`, which will be introduced in Jaybird 6
`static java.lang.String` `SQL_STATE_INVALID_CONN_ATTR` Deprecated. will be removed in Jaybird 6 without replacement
`static java.lang.String` `SQL_STATE_INVALID_CONVERSION`
`static java.lang.String` `SQL_STATE_INVALID_ESCAPE_SEQ`
`static java.lang.String` `SQL_STATE_INVALID_OPTION_IDENTIFIER`
`static java.lang.String` `SQL_STATE_INVALID_PARAM_TYPE`
`static java.lang.String` `SQL_STATE_INVALID_STATEMENT_ID`
`static java.lang.String` `SQL_STATE_INVALID_STMT_TYPE`
`static java.lang.String` `SQL_STATE_INVALID_TRANSACTION_STATE` Deprecated. will be removed in Jaybird 6 without replacement
`static java.lang.String` `SQL_STATE_INVALID_TX_STATE`
`static java.lang.String` `SQL_STATE_NO_RESULT_SET`
`static java.lang.String` `SQL_STATE_NO_ROW_AVAIL`
`static java.lang.String` `SQL_STATE_SYNTAX_ERROR`
`static java.lang.String` `SQL_STATE_TRANSACTION_ACTIVE` Deprecated. will be removed in Jaybird 6 without replacement
`static java.lang.String` `SQL_STATE_TRANSACTION_ROLLED_BACK` Deprecated. will be removed in Jaybird 6 without replacement
`static java.lang.String` `SQL_STATE_WARNING`
`static java.lang.String` `SQL_STATE_WRONG_PARAM_NUM`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SQL_STATE_WARNING

    public static final java.lang.String SQL_STATE_WARNING

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_CONN_ATTR

    @Deprecated
    public static final java.lang.String SQL_STATE_INVALID_CONN_ATTR

Deprecated.
will be removed in Jaybird 6 without replacement

See Also:
  Constant Field Values

#### SQL_STATE_NO_ROW_AVAIL

    public static final java.lang.String SQL_STATE_NO_ROW_AVAIL

See Also:
  Constant Field Values

#### SQL_STATE_FEATURE_NOT_SUPPORTED

    public static final java.lang.String SQL_STATE_FEATURE_NOT_SUPPORTED

See Also:
  Constant Field Values

#### SQL_STATE_GENERAL_ERROR

    public static final java.lang.String SQL_STATE_GENERAL_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_COLUMN

    @Deprecated
    public static final java.lang.String SQL_STATE_INVALID_COLUMN

Deprecated.
will be removed in Jaybird 6 and replaced by `SQL_STATE_INVALID_DESC_FIELD_ID`, which will be introduced in Jaybird 6

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_ARG_VALUE

    @Deprecated
    public static final java.lang.String SQL_STATE_INVALID_ARG_VALUE

Deprecated.
will be removed in Jaybird 6 and replaced by `SQL_STATE_INVALID_USE_NULL`, `SQL_STATE_ATT_CANNOT_SET_NOW`, `SQL_STATE_INVALID_ATTR_VALUE` and `SQL_STATE_INVALID_STRING_LENGTH`, which will all be introduced in Jaybird 6

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_OPTION_IDENTIFIER

    public static final java.lang.String SQL_STATE_INVALID_OPTION_IDENTIFIER

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_PARAM_TYPE

    public static final java.lang.String SQL_STATE_INVALID_PARAM_TYPE

See Also:
  Constant Field Values

#### SQL_STATE_WRONG_PARAM_NUM

    public static final java.lang.String SQL_STATE_WRONG_PARAM_NUM

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_STMT_TYPE

    public static final java.lang.String SQL_STATE_INVALID_STMT_TYPE

See Also:
  Constant Field Values

#### SQL_STATE_NO_RESULT_SET

    public static final java.lang.String SQL_STATE_NO_RESULT_SET

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_CONVERSION

    public static final java.lang.String SQL_STATE_INVALID_CONVERSION

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_TX_STATE

    public static final java.lang.String SQL_STATE_INVALID_TX_STATE

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_TRANSACTION_STATE

    @Deprecated
    public static final java.lang.String SQL_STATE_INVALID_TRANSACTION_STATE

Deprecated.
will be removed in Jaybird 6 without replacement

See Also:
  Constant Field Values

#### SQL_STATE_TRANSACTION_ACTIVE

    @Deprecated
    public static final java.lang.String SQL_STATE_TRANSACTION_ACTIVE

Deprecated.
will be removed in Jaybird 6 without replacement

See Also:
  Constant Field Values

#### SQL_STATE_TRANSACTION_ROLLED_BACK

    @Deprecated
    public static final java.lang.String SQL_STATE_TRANSACTION_ROLLED_BACK

Deprecated.
will be removed in Jaybird 6 without replacement

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_STATEMENT_ID

    public static final java.lang.String SQL_STATE_INVALID_STATEMENT_ID

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_ERROR

    public static final java.lang.String SQL_STATE_CONNECTION_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_CLOSED

    public static final java.lang.String SQL_STATE_CONNECTION_CLOSED

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_FAILURE

    public static final java.lang.String SQL_STATE_CONNECTION_FAILURE

See Also:
  Constant Field Values

#### SQL_STATE_CONNECTION_FAILURE_IN_TX

    @Deprecated
    public static final java.lang.String SQL_STATE_CONNECTION_FAILURE_IN_TX

Deprecated.
will be removed in Jaybird 6 without replacement

See Also:
  Constant Field Values

#### SQL_STATE_COMM_LINK_FAILURE

    @Deprecated
    public static final java.lang.String SQL_STATE_COMM_LINK_FAILURE

Deprecated.
will be removed in Jaybird 6 without replacement

See Also:
  Constant Field Values

#### SQL_STATE_SYNTAX_ERROR

    public static final java.lang.String SQL_STATE_SYNTAX_ERROR

See Also:
  Constant Field Values

#### SQL_STATE_INVALID_ESCAPE_SEQ

    public static final java.lang.String SQL_STATE_INVALID_ESCAPE_SEQ

See Also:
  Constant Field Values